## endless-sky 0.8.11

=== SConstruct ===
import os

# Load any environment variables that alter the build.
env = Environment()
if 'CCFLAGS' in os.environ:
	env.Append(CCFLAGS = os.environ['CCFLAGS'])
if 'CXXFLAGS' in os.environ:
	env.Append(CCFLAGS = os.environ['CXXFLAGS'])
if 'LDFLAGS' in os.environ:
	env.Append(LINKFLAGS = os.environ['LDFLAGS'])
# The Steam runtime has an out-of-date libstdc++, so link it in statically:
if 'SCHROOT_CHROOT_NAME' in os.environ and 'steamrt' in os.environ['SCHROOT_CHROOT_NAME']:
	env.Append(LINKFLAGS = ["-static-libstdc++"])

# Required build flags. If you want to use SSE optimization, you can turn on
# -msse3 or (if just building for your own computer) -march=native.
env.Append(CCFLAGS = ["-std=c++0x", "-O3", "-Wall"])
env.Append(LIBS = [
	"SDL2",
	"png",
	"jpeg",
	"GL",
	"GLEW",
	"openal",
	"pthread"
]);

# Work with clang's static analyzer:
env["CC"] = os.getenv("CC") or env["CC"]
env["CXX"] = os.getenv("CXX") or env["CXX"]
env["ENV"].update(x for x in os.environ.items() if x[0].startswith("CCC_"))

opts = Variables()
opts.Add(PathVariable("PREFIX", "Directory to install under", "/usr/local", PathVariable.PathIsDirCreate))
opts.Add(PathVariable("DESTDIR", "Destination root directory", "", PathVariable.PathAccept))
opts.Update(env)

Help(opts.GenerateHelpText(env))

VariantDir("build", "source", duplicate = 0)

sky = env.Program("endless-sky", Glob("build/*.cpp"))


# Install the binary:
env.Install("$DESTDIR$PREFIX/games", sky)

# Install the desktop file:
env.Install("$DESTDIR$PREFIX/share/applications", "endless-sky.desktop")

# Install icons, keeping track of all the paths.
# Most Ubuntu apps supply 16, 22, 24, 32, 48, and 256, and sometimes others.
sizes = ["16x16", "22x22", "24x24", "32x32", "48x48", "256x256"]
icons = []
for size in sizes:
	destination = "$DESTDIR$PREFIX/share/icons/hicolor/" + size + "/apps/endless-sky.png"
	icons.append(destination)
	env.InstallAs(destination, "endless-sky.iconset/icon_" + size + ".png")

# If any of those icons changed, also update the cache.
# Do not update the cache if we're not installing into "usr".
# (For example, this "install" may actually be creating a Debian package.)
if env.get("PREFIX").startswith("/usr/"):
	env.Command(
		[],
		icons,
		"gtk-update-icon-cache -t $DESTDIR$PREFIX/share/icons/hicolor/")

# Install the man page.
env.Command(
	"$DESTDIR$PREFIX/share/man/man6/endless-sky.6.gz",
	"endless-sky.6",
	"gzip -c $SOURCE > $TARGET")

# Install the data files.
def RecursiveInstall(env, target, source):
	rootIndex = len(env.Dir(source).abspath) + 1
	for node in env.Glob(os.path.join(source, '*')):
		if node.isdir():
			name = node.abspath[rootIndex:]
			RecursiveInstall(env, os.path.join(target, name), node.abspath)
		else:
			env.Install(target, node)
RecursiveInstall(env, "$DESTDIR$PREFIX/share/games/endless-sky/data", "data")
RecursiveInstall(env, "$DESTDIR$PREFIX/share/games/endless-sky/images", "images")
RecursiveInstall(env, "$DESTDIR$PREFIX/share/games/endless-sky/sounds", "sounds")
env.Install("$DESTDIR$PREFIX/share/games/endless-sky", "credits.txt")
env.Install("$DESTDIR$PREFIX/share/games/endless-sky", "keys.txt")

# Make the word "install" in the command line do an installation.
env.Alias("install", "$DESTDIR$PREFIX")

=== debian/changelog ===
endless-sky (0.8.11-1mx150+1) mx; urgency=medium

  * New release rebuilt for MX 15..

 -- Mike Purtell <mandbx@sbcglobal.net>  Thu, 28 Jan 2016 15:02:15 -0800

endless-sky (0.8.11-1~getdeb1) trusty; urgency=medium

  * New upstream version
   * Bug fixes:
    * The new Pug mission is now offered on the proper planet.
    * Typo fixes. (@Pointedstick, @zwparchman)
    * Missions that take away one outfit and give another now always work
    properly.
    * Fixed a bug where escorts in mid-jump when you land end up far from the
    system center.
    * The game no longer hangs in the map if you shift-click an unreachable
    system.
    * Fixed a bug where you retain control of your flagship after it is
    captured.
    * If a target NPC dies, turrets no longer continue to fire in its
    direction.
    * Fixed a bug where reordering your ships was not changing your flagship.
    * If you land while an escort is your target, then park it, your target
    is now cleared.
    * Fixed the system coloring when you pop up the map from a conversation
    panel.
    * Main menu no longer freezes if you "enter ship" just as it finishes
    loading.
    * Planets with no star system defined for them will no longer crash the
    game.
   * Game content:
    * Added a mission string that gives you permission to buy most Wanderer
    ships.
    * Fixed an incorrect mass for the White Sun Reactor.
    * Fixed the price of the Wanderer Type 4 Thruster.
    * Alexandria Station can now be bribed, for players without a good
    Republic reputation.
    * More ship names (@Pointedstick).
    * The Wanderers now sell local maps.
    * Fixed some inaccurate ship descriptions.
    * Gave the Wanderer "Summer Leaf" ship a bit more cargo and outfit space.
    * Made the Southern Mutual Defense Pact missions get offered a bit more
    often.
    * Made Korath raids more frequent in one system so you can hunt them
    without save-scumming.
    * Fixed some jobs that had no maximum distance specified.
    * Fixed an annoying click in the jump drive sound effect.
   * Game mechanics:
    * Plundered ammo now reloads your weapons if you have the proper
    launcher.
    * Ships now recharge / refuel when you buy or sell outfits (e.g. fuel
    pods).
    * Ships with nowhere to flee to will now fight to the death instead of
    giving up.
    * Ships now clear their "ship to assist" order if they are captured.
   * User interface:
    * A system is now shown as dominated only if every inhabited planet is
    dominated.
    * The "fight current target" key can now order escorts to kill a disabled
    ship.
    * The data parser now reports unmatched quotation marks.

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 28 Jan 2016 19:08:53 +0100

endless-sky (0.8.10-1~getdeb1) trusty; urgency=medium

  * New upstream version
      * Bug fixes:
        * Mouse clicks on the map are now correctly handled at all zoom
        levels.
        * Escorts now once again jump simultaneously with your ship.
        * Net worth is no longer clipped to the +-2 billion range in saved
        games.
        * Escorts that cannot jump will now ignore jump commands instead of
        lining up to jump.
        * Fixed a bug where the Water Bug had the wrong anti-missiles linked
        to its hardpoints.
        * Fixed some ship variants that had negative space available.
        * You can now bribe planets even if you have also provoked their
        government.
        * The outfitter panel's drawing code has been optimized to no longer
        max out the CPU.
        * The mission panel map is now colored by reputation by default,
        rather than uncolored.
        * Distances in the mission panel now show number of jumps, not amount
        of fuel.
        * In the outfitter, outfits are now shown if any selected ship has
        one, not just the first.
        * Human pirate "raids" no longer appear in alien star systems if you
        have many freighters.
      * Game content:
        * New species, the Wanderers (4 ship types, 18 outfits, 17 planets).
        * New missions involving the Hai and the Wanderers.
        * Increased the range of the small anti-missile by 50%.
        * Water cooling is now available in more places.
        * New hail messages. (@ph2000bis, @Pointedstick, @Thunderforge)
        * New commodity names. (@lehgogh, @Pointedstick)
        * New ship names. (@lehgogh)
        * Typo fixes. (@Pointedstick, @Wrzlprnft)
        * New job types. (@Pointedstick)
      * Game mechanics:
        * Projectiles now clear their target if that target is captured.
        * Governments now only scan you once per day, instead of once per
        ship.
        * Jobs are now allowed to have "on accept" dialogs or conversations.
        * Deadlines can now be specified in (base + multiplier * jumps)
        format.
        * Weapons can now specify that they split into submunitions when
        close to their target.
        * Shield and hull generators can now specify an extra energy cost per
        unit recharged.
        * Non-heroic ships no longer attack far away groups of ships that
        have them outgunned.
        * You can no longer hail other ships while you are entering
        hyperspace.
        * Surveillance ships no longer get "stuck" once they run out of fuel.
        * Missions can now specify "stopover" planets that you must visit.
        * Missions can have "on stopover" actions to perform when the last
        stopover is visited.
        * A government can now be marked as speaking a language that you may
        or may not know.
        * The hail panel commands now only work if you speak the language of
        a ship or planet.
        * Added support for "<?=" and ">?=" (min and max) condition
        operators.
        * Support for large stations / ringworlds with several different
        places you can land.


=== debian/control ===
Source: endless-sky
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: GetDeb Package Ninjas <package.ninjas@getdeb.net>
Section: games
Priority: optional
Build-Depends: debhelper (>= 9),
               g++ (>=4.6),
               libgl1-mesa-dev,
               libglew-dev,
               libjpeg-turbo8-dev | libjpeg62-turbo-dev,
               libopenal-dev,
               libpng12-dev | libpng-dev,
               libsdl2-dev,
               scons
Homepage: https://endless-sky.github.io
Standards-Version: 3.9.6

Package: endless-sky
Architecture: any
Depends: endless-sky-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: space exploration and combat game
 Endless sky is a 2D space exploration game with action, strategy, and role
 playing elements.
 .
 Explore other star systems. Earn money by trading, carrying passengers, or
 completing missions. Use your earnings to buy a better ship or to upgrade
 the weapons and engines on your current one. Blow up pirates. Take sides in
 a civil war. Or leave human space behind and hope to find some friendly
 aliens whose culture is more civilized than your own...
 .
 Endless Sky requires OpenGL 3.0 or higher.

Package: endless-sky-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for Endless Sky
 Endless sky is a 2D space exploration game with action, strategy, and role
 playing elements. This package contains the images, sounds, and data files.
 .
 Explore other star systems. Earn money by trading, carrying passengers, or
 completing missions. Use your earnings to buy a better ship or to upgrade
 the weapons and engines on your current one. Blow up pirates. Take sides in
 a civil war. Or leave human space behind and hope to find some friendly
 aliens whose culture is more civilized than your own...

=== debian/rules ===
#!/usr/bin/make -f

SCONS=scons

%:
	dh $@

override_dh_auto_build:
	$(SCONS)

override_dh_auto_clean:
	dh_auto_clean
	$(SCONS) -c

override_dh_auto_install:
	$(SCONS) install PREFIX=$(CURDIR)/debian/tmp/usr

## endless-sky 0.9.8

=== SConstruct ===
--- 
+++ 
@@ -6,15 +6,37 @@
 	env.Append(CCFLAGS = os.environ['CCFLAGS'])
 if 'CXXFLAGS' in os.environ:
 	env.Append(CCFLAGS = os.environ['CXXFLAGS'])
+if 'CPPFLAGS' in os.environ:
+	env.Append(CPPFLAGS = os.environ['CPPFLAGS'])
 if 'LDFLAGS' in os.environ:
 	env.Append(LINKFLAGS = os.environ['LDFLAGS'])
+if 'CPPPATH' in os.environ:
+	env.Append(CPPPATH = os.environ['CPPPATH'])
+
 # The Steam runtime has an out-of-date libstdc++, so link it in statically:
 if 'SCHROOT_CHROOT_NAME' in os.environ and 'steamrt' in os.environ['SCHROOT_CHROOT_NAME']:
 	env.Append(LINKFLAGS = ["-static-libstdc++"])
 
+opts = Variables()
+opts.Add(PathVariable("PREFIX", "Directory to install under", "/usr/local", PathVariable.PathIsDirCreate))
+opts.Add(PathVariable("DESTDIR", "Destination root directory", "", PathVariable.PathAccept))
+opts.Add(EnumVariable("mode", "Compilation mode", "release", allowed_values=("release", "debug", "profile")))
+opts.Update(env)
+
+Help(opts.GenerateHelpText(env))
+
+flags = ["-std=c++11", "-Wall"]
+if env["mode"] != "debug":
+	flags += ["-O3"]
+if env["mode"] == "debug":
+	flags += ["-g"]
+if env["mode"] == "profile":
+	flags += ["-pg"]
+	env.Append(LINKFLAGS = ["-pg"])
+
 # Required build flags. If you want to use SSE optimization, you can turn on
 # -msse3 or (if just building for your own computer) -march=native.
-env.Append(CCFLAGS = ["-std=c++0x", "-O3", "-Wall"])
+env.Append(CCFLAGS = flags)
 env.Append(LIBS = [
 	"SDL2",
 	"png",
@@ -24,22 +46,23 @@
 	"openal",
 	"pthread"
 ]);
+# libmad is not in the Steam runtime, so link it statically:
+if 'SCHROOT_CHROOT_NAME' in os.environ and 'steamrt_scout_i386' in os.environ['SCHROOT_CHROOT_NAME']:
+	env.Append(LIBS = File("/usr/lib/i386-linux-gnu/libmad.a"))
+elif 'SCHROOT_CHROOT_NAME' in os.environ and 'steamrt_scout_amd64' in os.environ['SCHROOT_CHROOT_NAME']:
+	env.Append(LIBS = File("/usr/lib/x86_64-linux-gnu/libmad.a"))
+else:
+	env.Append(LIBS = "mad")
+
 
 # Work with clang's static analyzer:
 env["CC"] = os.getenv("CC") or env["CC"]
 env["CXX"] = os.getenv("CXX") or env["CXX"]
 env["ENV"].update(x for x in os.environ.items() if x[0].startswith("CCC_"))
 
-opts = Variables()
-opts.Add(PathVariable("PREFIX", "Directory to install under", "/usr/local", PathVariable.PathIsDirCreate))
-opts.Add(PathVariable("DESTDIR", "Destination root directory", "", PathVariable.PathAccept))
-opts.Update(env)
+VariantDir("build/" + env["mode"], "source", duplicate = 0)
 
-Help(opts.GenerateHelpText(env))
-
-VariantDir("build", "source", duplicate = 0)
-
-sky = env.Program("endless-sky", Glob("build/*.cpp"))
+sky = env.Program("endless-sky", Glob("build/" + env["mode"] + "/*.cpp"))
 
 
 # Install the binary:
@@ -48,6 +71,9 @@
 # Install the desktop file:
 env.Install("$DESTDIR$PREFIX/share/applications", "endless-sky.desktop")
 
+# Install app center metadata:
+env.Install("$DESTDIR$PREFIX/share/appdata", "endless-sky.appdata.xml")
+
 # Install icons, keeping track of all the paths.
 # Most Ubuntu apps supply 16, 22, 24, 32, 48, and 256, and sometimes others.
 sizes = ["16x16", "22x22", "24x24", "32x32", "48x48", "256x256"]
@@ -55,7 +81,7 @@
 for size in sizes:
 	destination = "$DESTDIR$PREFIX/share/icons/hicolor/" + size + "/apps/endless-sky.png"
 	icons.append(destination)
-	env.InstallAs(destination, "endless-sky.iconset/icon_" + size + ".png")
+	env.InstallAs(destination, "icons/icon_" + size + ".png")
 
 # If any of those icons changed, also update the cache.
 # Do not update the cache if we're not installing into "usr".

=== debian/changelog ===
endless-sky (0.9.8-1~mx15+1) mx; urgency=medium

  * Repackaged for MX 15 & 16.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 07 Nov 2018 19:32:19 -0800

endless-sky (0.9.8-1~mx17+1) mx; urgency=medium

  * Repackaged for MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 07 Nov 2018 19:12:18 -0800

endless-sky (0.9.8-1) unstable; urgency=low

  * Fixed crashes when reordering or disowning ships in your fleet.
  * Fixed a bug when events add stellar objects (like the Wanderer wormhole).
  * Added shop thumnail images for all the Remnant outfits.
  * Tweaked the balance of the Remnant ships and outfits.
  * Demanding tribute now always turns reputation with that government negative.
  * Fixed "derelict" NPCs not repairing on planets after you board them.
  * In full screen mode the cursor is now hidden after 10 seconds inactivity.

 -- Michael Zahniser <mzahniser@gmail.com>  Mon, 14 Aug 2017 18:37:45 -0400

endless-sky (0.9.7-1) unstable; urgency=low

  * Added a new area, the Ember Waste, populated by a new faction.
  * Made the "Outfits Expansion" reduce your cooling if you install too many.
  * Turrets now have limited turn rates and can track targets independently.
  * Added a "logbook" with brief, automatic summaries of missions and lore.
  * The game now moves at triple speed when caps lock is on.
  * Pirate "raids" now depend on how well defended your fleet is.

 -- Michael Zahniser <mzahniser@gmail.com>  Thu, 20 Jul 2017 21:04:41 -0400

endless-sky (0.9.6-1) unstable; urgency=low

  * Fixed a depreciation bug causing random prices for outfits on some systems.
  * Eliminated "death benefits." Depreciation is a better balance mechanism.
  * Depreciation happens about 3 times slower than it did in 0.9.5.
  * Coalition jobs now "repeat" instead of only being offered once.
  * Fixed a bug where "surveillance" ships scan the player's ship over and over.
  * Added images for all the Coalition and Heliarch outfits.

 -- Michael Zahniser <mzahniser@gmail.com>  Tue, 21 Feb 2017 20:15:19 -0500

endless-sky (0.9.5-1) unstable; urgency=low

  * Ship and outfit values now depreciate over time.
  * The main view's zoom can now be adjusted between 25% and 200%.
  * Commands can now be given to groups of escorts.
  * New Wanderer missions, doubling the length of their story line.
  * New alien faction, the Coalition, with 16 new ships and about 70 systems.
  * Scanning now takes time, to make dodging scans more interesting.
  * Systems and planets can now specify MP3s to play as music or ambient audio.

 -- Michael Zahniser <mzahniser@gmail.com>  Tue, 17 Jan 2017 20:54:40 -0500

endless-sky (0.9.4-1) unstable; urgency=low

  * Vara Ke'sok no longer starts out as an Unfettered planet.
  * Fixed a hang that occurred when maximizing the window.
  * Systems created by game events are now properly connected to the map.
  * The info panel can now handle ships with many more outfits or weapons.

 -- Michael Zahniser <mzahniser@gmail.com>  Tue, 04 Oct 2016 21:44:13 -0400

endless-sky (0.9.3-1) unstable; urgency=low

  * Minable asteroids (twelve different elements you can mine).
  * New Wanderer ships and missions.
  * New Hai carrier ships, fighters, and weapons.
  * Many small UI and game engine improvements.
  * Fixed UI bugs when multiple buttons were pressed simultaneously.
  * Invisible ships are no longer targetable with the mouse.
  * Fighters that return to their mothership no longer count as destroyed.
  * Intro tutorial now shown even if you visit the bank before buying a ship.

 -- Michael Zahniser <mzahniser@gmail.com>  Tue, 13 Sep 2016 20:56:08 -0400

endless-sky (0.9.2-1) unstable; urgency=low

  * Added tooltips for all ship and outfit attributes.
  * Confirmation dialog if taking off will force you to sell something.
  * Subtle blue background haze to make the star field less boring.
  * You can now recharge shields while on an uninhabited planet.
  * Rebalanced the new Hai outfits.
  * Gave all missiles mass so you can't store infinite numbers in cargo.
  * Three "previous" saved games are now automatically stored as backups.
  * Lots of small bug fixes (see the "changelog" file for details).

 -- Michael Zahniser <mzahniser@gmail.com>  Fri, 24 Jun 2016 14:05:48 -0400

endless-sky (0.9.1-1) unstable; urgency=low

  * Added a pop-up mini-map when you are jumping.
  * Ships now have big "final explosion" sounds.
  * Shipyard now shows full stats for the player's ship.
  * New missile tracking modes based on target size or temperature.
  * Missile jammers that work against certain missiles.
  * Better AI for escorts matching your speed and heading.
  * Capturing an NPC now counts as evading and destroying it.
  * The Hai now have their own unique set of outfits.
  * New Wanderer missions giving access to new ships and technology.
  * New human side missions giving back story about alien species.
  * The "southern carriers" appear more gradually and in fewer numbers.
  * Weapons with zero shield damage no longer cause crashes.

 -- Michael Zahniser <mzahniser@gmail.com>  Thu, 26 May 2016 21:28:34 -0400

endless-sky (0.9.0-1) unstable; urgency=low

  * Dynamic economy (influenced by the player once they have a large fleet). 
  * New weapon capabilities (slowing, shield disrupting, burst firing).
  * Fixed many small bugs.
  * Added the former Korath territory to the map.
  * Small UI improvements (planet labels, keyboard shortcuts, etc.).

 -- Michael Zahniser <mzahniser@gmail.com>  Fri, 29 Apr 2016 14:18:05 -0400

endless-sky (0.8.11-1) unstable; urgency=low

  * Initial release. (Closes: #782846)

 -- Michael Zahniser <mzahniser@gmail.com>  Wed, 27 Jan 2016 19:27:04 -0500

=== debian/control ===
Source: endless-sky
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Michael Zahniser <mzahniser@gmail.com>
Section: games
Priority: optional
Standards-Version: 3.9.8
Homepage: https://endless-sky.github.io
Build-Depends:
 debhelper (>= 9),
 g++ (>=4.6),
 libgl1-mesa-dev,
 libglew-dev,
 libjpeg-dev,
 libopenal-dev,
 libpng-dev,
 libsdl2-dev,
 libmad0-dev,
 scons

Package: endless-sky
Architecture: any
Depends:
 endless-sky-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: space exploration and combat game
	Endless sky is a 2D space exploration game with action, strategy, and role
	playing elements.
	.
	Explore other star systems. Earn money by trading, carrying passengers, or
	completing missions. Use your earnings to buy a better ship or to upgrade
	the weapons and engines on your current one. Blow up pirates. Take sides in
	a civil war. Or leave human space behind and hope to find some friendly
	aliens whose culture is more civilized than your own...
	.
	Endless Sky requires OpenGL 3.0 or higher.

Package: endless-sky-data
Architecture: all
Depends:
 ${misc:Depends}
Description: data files for Endless Sky
	Endless sky is a 2D space exploration game with action, strategy, and role
	playing elements. This package contains the images, sounds, and data files.
	.
	Explore other star systems. Earn money by trading, carrying passengers, or
	completing missions. Use your earnings to buy a better ship or to upgrade
	the weapons and engines on your current one. Blow up pirates. Take sides in
	a civil war. Or leave human space behind and hope to find some friendly
	aliens whose culture is more civilized than your own...

## endless-sky 0.9.9

=== debian/changelog ===
endless-sky (0.9.9-0~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 31 Jul 2019 15:13:34 -0700

## endless-sky 0.9.10

=== SConstruct ===
--- 
+++ 
@@ -1,17 +1,11 @@
 import os
 
-# Load any environment variables that alter the build.
-env = Environment()
-if 'CCFLAGS' in os.environ:
-	env.Append(CCFLAGS = os.environ['CCFLAGS'])
+# Load environment variables, including some that should be renamed.
+env = Environment(ENV = os.environ)
 if 'CXXFLAGS' in os.environ:
 	env.Append(CCFLAGS = os.environ['CXXFLAGS'])
-if 'CPPFLAGS' in os.environ:
-	env.Append(CPPFLAGS = os.environ['CPPFLAGS'])
 if 'LDFLAGS' in os.environ:
 	env.Append(LINKFLAGS = os.environ['LDFLAGS'])
-if 'CPPPATH' in os.environ:
-	env.Append(CPPPATH = os.environ['CPPPATH'])
 
 # The Steam runtime has an out-of-date libstdc++, so link it in statically:
 if 'SCHROOT_CHROOT_NAME' in os.environ and 'steamrt' in os.environ['SCHROOT_CHROOT_NAME']:
@@ -21,6 +15,7 @@
 opts.Add(PathVariable("PREFIX", "Directory to install under", "/usr/local", PathVariable.PathIsDirCreate))
 opts.Add(PathVariable("DESTDIR", "Destination root directory", "", PathVariable.PathAccept))
 opts.Add(EnumVariable("mode", "Compilation mode", "release", allowed_values=("release", "debug", "profile")))
+opts.Add(PathVariable("BUILDDIR", "Build directory", "build", PathVariable.PathIsDirCreate))
 opts.Update(env)
 
 Help(opts.GenerateHelpText(env))
@@ -55,14 +50,10 @@
 	env.Append(LIBS = "mad")
 
 
-# Work with clang's static analyzer:
-env["CC"] = os.getenv("CC") or env["CC"]
-env["CXX"] = os.getenv("CXX") or env["CXX"]
-env["ENV"].update(x for x in os.environ.items() if x[0].startswith("CCC_"))
+buildDirectory = env["BUILDDIR"] + "/" + env["mode"]
+VariantDir(buildDirectory, "source", duplicate = 0)
 
-VariantDir("build/" + env["mode"], "source", duplicate = 0)
-
-sky = env.Program("endless-sky", Glob("build/" + env["mode"] + "/*.cpp"))
+sky = env.Program("endless-sky", Glob(buildDirectory + "/*.cpp"))
 
 
 # Install the binary:
@@ -76,7 +67,7 @@
 
 # Install icons, keeping track of all the paths.
 # Most Ubuntu apps supply 16, 22, 24, 32, 48, and 256, and sometimes others.
-sizes = ["16x16", "22x22", "24x24", "32x32", "48x48", "256x256"]
+sizes = ["16x16", "22x22", "24x24", "32x32", "48x48", "128x128", "256x256", "512x512"]
 icons = []
 for size in sizes:
 	destination = "$DESTDIR$PREFIX/share/icons/hicolor/" + size + "/apps/endless-sky.png"

=== debian/changelog ===
endless-sky (0.9.10-0~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 05 Oct 2019 07:24:05 -0700

## endless-sky 0.9.11~prerelease

=== SConstruct ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Load environment variables, including some that should be renamed.
 env = Environment(ENV = os.environ)
+if 'CXX' in os.environ:
+	env['CXX'] = os.environ['CXX']
 if 'CXXFLAGS' in os.environ:
 	env.Append(CCFLAGS = os.environ['CXXFLAGS'])
 if 'LDFLAGS' in os.environ:

=== debian/changelog ===
endless-sky (0.9.11~prerelease-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 24 Feb 2020 14:04:41 -0800

=== debian/rules ===
#!/usr/bin/make -f

SCONS=scons

ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
       PROCS=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
       SCONS_OPTIONS += -j$(PROCS)
endif

%:
	dh $@

override_dh_auto_build:
	$(SCONS) $(SCONS_OPTIONS)

override_dh_auto_clean:
	dh_auto_clean
	$(SCONS) -c

override_dh_auto_install:
	$(SCONS) install PREFIX=$(CURDIR)/debian/tmp/usr

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## endless-sky 0.9.12

=== SConstruct ===
--- 
+++ 
@@ -1,4 +1,5 @@
 import os
+from SCons.Node.FS import Dir
 
 # Load environment variables, including some that should be renamed.
 env = Environment(ENV = os.environ)
@@ -55,7 +56,16 @@
 buildDirectory = env["BUILDDIR"] + "/" + env["mode"]
 VariantDir(buildDirectory, "source", duplicate = 0)
 
-sky = env.Program("endless-sky", Glob(buildDirectory + "/*.cpp"))
+# Find all source files.
+def RecursiveGlob(pattern, dir_name=buildDirectory):
+	# Start with source files in subdirectories.
+	matches = [RecursiveGlob(pattern, sub_dir) for sub_dir in Glob(str(dir_name)+"/*")
+			   if isinstance(sub_dir, Dir)]
+	# Add source files in this directory
+	matches += Glob(str(dir_name) + "/" + pattern)
+	return matches
+
+sky = env.Program("endless-sky", RecursiveGlob("*.cpp", buildDirectory))
 
 
 # Install the binary:

=== debian/changelog ===
endless-sky (0.9.12-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 02 May 2020 12:11:48 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.9.8
 Homepage: https://endless-sky.github.io
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 12),
  g++ (>=4.6),
  libgl1-mesa-dev,
  libglew-dev,

## endless-sky 0.9.13

=== SConstruct ===
import os
import platform
from SCons.Node.FS import Dir

def pathjoin(*args):
	return os.path.join(*args)

# Load environment variables, including some that should be renamed.
# If we are compiling on Windows, then we need to change the toolset to MinGW.
is_windows_host = platform.system().startswith('Windows')
scons_toolset = ['mingw' if is_windows_host else 'default']
env = DefaultEnvironment(tools = scons_toolset, ENV = os.environ)

if 'CXX' in os.environ:
	env['CXX'] = os.environ['CXX']
if 'CXXFLAGS' in os.environ:
	env.Append(CCFLAGS = os.environ['CXXFLAGS'])
if 'LDFLAGS' in os.environ:
	env.Append(LINKFLAGS = os.environ['LDFLAGS'])
if 'AR' in os.environ:
	env['AR'] = os.environ['AR']
if 'RANLIB' in os.environ:
	env['RANLIB'] = os.environ['RANLIB']
if 'DIR_ESLIB' in os.environ:
	path = os.environ['DIR_ESLIB']
	env.Prepend(CPPPATH = [pathjoin(path, 'include')])
	env.Append(LIBPATH = [pathjoin(path, 'lib')])

# The Steam runtime has an out-of-date libstdc++, so link it in statically:
chroot_name = os.environ.get('SCHROOT_CHROOT_NAME', '')
if 'steamrt' in chroot_name:
	env.Append(LINKFLAGS = ["-static-libstdc++"])

# Don't spawn a console window by default on Windows builds.
if is_windows_host:
	env.Append(LINKFLAGS = ["-mwindows"])

opts = Variables()
opts.AddVariables(
	EnumVariable("mode", "Compilation mode", "release", allowed_values=("release", "debug", "profile")),
	PathVariable("BUILDDIR", "Directory to store compiled object files in", "build", PathVariable.PathIsDirCreate),
	PathVariable("BIN_DIR", "Directory to store binaries in", ".", PathVariable.PathIsDirCreate),
	PathVariable("DESTDIR", "Destination root directory, e.g. if building a package", "", PathVariable.PathAccept),
	PathVariable("PREFIX", "Directory to install under (will be prefixed by DESTDIR)", "/usr/local", PathVariable.PathIsDirCreate),
)
opts.Update(env)
Help(opts.GenerateHelpText(env))

# Required build flags. To enable SSE or other optimizations, pass CXXFLAGS via the environment
#   $ CXXFLAGS=-msse3 scons
#   $ CXXFLAGS=-march=native scons
# or modify the `flags` variable:
flags = ["-std=c++11", "-Wall", "-Werror", "-Wold-style-cast"]
if env["mode"] != "debug":
	flags += ["-O3", "-flto"]
	env.Append(LINKFLAGS = ["-O3", "-flto"])
if env["mode"] == "debug":
	flags += ["-g"]
elif env["mode"] == "profile":
	flags += ["-pg"]
	env.Append(LINKFLAGS = ["-pg"])
env.Append(CCFLAGS = flags)
# Omit emitting a symbol table when creating/updating static libraries, because Scons
# will run ranlib. If we are using gcc-ranlib, assume support for thin archives as well.
create_thin_archives = any(env.get(var, '').startswith('gcc') for var in ('AR', 'RANLIB'))
env.Replace(ARFLAGS = 'rcST' if create_thin_archives else 'rcS')

game_libs = [
	"winmm",
	"mingw32",
	"sdl2main",
	"sdl2.dll",
	"png.dll",
	"turbojpeg.dll",
	"jpeg.dll",
	"openal32.dll",
	"glew32.dll",
	"opengl32",
] if is_windows_host else [
	"SDL2",
	"png",
	"jpeg",
	"GL",
	"GLEW",
	"openal",
	"pthread",
]
env.Append(LIBS = game_libs)

# libmad is not in the Steam runtime, so link it statically:
if 'steamrt_scout_i386' in chroot_name:
	env.Append(LIBS = File("/usr/lib/i386-linux-gnu/libmad.a"))
elif 'steamrt_scout_amd64' in chroot_name:
	env.Append(LIBS = File("/usr/lib/x86_64-linux-gnu/libmad.a"))
else:
	env.Append(LIBS = "mad")


binDirectory = '' if env["BIN_DIR"] == '.' else pathjoin(env["BIN_DIR"], env["mode"])
buildDirectory = pathjoin(env["BUILDDIR"], env["mode"])
libDirectory = pathjoin("lib", env["mode"])
VariantDir(buildDirectory, "source", duplicate = 0)

# Find all regular source files.
def RecursiveGlob(pattern, dir_name=buildDirectory):
	# Start with source files in subdirectories.
	matches = [RecursiveGlob(pattern, sub_dir) for sub_dir in Glob(pathjoin(str(dir_name), "*"))
		if isinstance(sub_dir, Dir)]
	# Add source files in this directory, except for main.cpp
	matches += Glob(pathjoin(str(dir_name), pattern), exclude=["*/main.cpp"])
	return matches

# By default, invoking scons will build the backing archive file and then the game binary.
sourceLib = env.StaticLibrary(pathjoin(libDirectory, "endless-sky"), RecursiveGlob("*.cpp", buildDirectory))
exeObjs = [Glob(pathjoin(buildDirectory, f)) for f in ("main.cpp",)]
if is_windows_host:
	windows_icon = env.RES(pathjoin(buildDirectory, "WinApp.rc"))
	exeObjs.append(windows_icon)
sky = env.Program(pathjoin(binDirectory, "endless-sky"), exeObjs + sourceLib)
env.Default(sky)


# The testing infrastructure ignores "mode" specification (i.e. we only test optimized output).
# (If we add support for code coverage output, this will likely need to change.)
testBuildDirectory = pathjoin("tests", env["BUILDDIR"])
VariantDir(testBuildDirectory, pathjoin("tests", "src"), duplicate = 0)
test = env.Program(
	target=pathjoin("tests", "endless-sky-tests"),
	source=RecursiveGlob("test_*.cpp", testBuildDirectory) + sourceLib,
	 # Add Catch header & additional test includes to the existing search paths
	CPPPATH=(env.get('CPPPATH', []) + [pathjoin('tests', 'include')]),
	# Do not link against the actual implementations of SDL, OpenGL, etc.
	LIBS=[],
	# Pass the necessary link flags for a console program.
	LINKFLAGS=[x for x in env.get('LINKFLAGS', []) if x not in ('-mwindows',)]
)
# Invoking scons with the `build-tests` target will build the unit test framework
env.Alias("build-tests", test)
# Invoking scons with the `test` target will build (if necessary) and
# execute the unit test framework (always). All non-hidden tests are run.
catch2_args = " " + " ".join([
	"-i",
	"--warn NoAssertions",
	"--order rand",
	"--rng-seed 'time'",
])
test_runner = env.Action(test[0].abspath + catch2_args, 'Running tests...')
env.Alias("test", test, test_runner)
env.AlwaysBuild("test")


# Install the binary:
env.Install("$DESTDIR$PREFIX/games", sky)

# Install the desktop file:
env.Install("$DESTDIR$PREFIX/share/applications", "endless-sky.desktop")

# Install app center metadata:
env.Install("$DESTDIR$PREFIX/share/appdata", "endless-sky.appdata.xml")

# Install icons, keeping track of all the paths.
# Most Ubuntu apps supply 16, 22, 24, 32, 48, and 256, and sometimes others.
sizes = ["16x16", "22x22", "24x24", "32x32", "48x48", "128x128", "256x256", "512x512"]
icons = []
for size in sizes:
	destination = "$DESTDIR$PREFIX/share/icons/hicolor/" + size + "/apps/endless-sky.png"
	icons.append(destination)
	env.InstallAs(destination, "icons/icon_" + size + ".png")

# If any of those icons changed, also update the cache.
# Do not update the cache if we're not installing into "usr".
# (For example, this "install" may actually be creating a Debian package.)
if env.get("PREFIX").startswith("/usr/"):
	env.Command(
		[],
		icons,
		"gtk-update-icon-cache -t $DESTDIR$PREFIX/share/icons/hicolor/")

# Install the man page.
env.Command(
	"$DESTDIR$PREFIX/share/man/man6/endless-sky.6.gz",
	"endless-sky.6",
	"gzip -c $SOURCE > $TARGET")

# Install the data files.
def RecursiveInstall(env, target, source):
	rootIndex = len(env.Dir(source).abspath) + 1
	for node in env.Glob(pathjoin(source, '*')):
		if node.isdir():
			name = node.abspath[rootIndex:]
			RecursiveInstall(env, pathjoin(target, name), node.abspath)
		else:
			env.Install(target, node)
RecursiveInstall(env, "$DESTDIR$PREFIX/share/games/endless-sky/data", "data")
RecursiveInstall(env, "$DESTDIR$PREFIX/share/games/endless-sky/images", "images")
RecursiveInstall(env, "$DESTDIR$PREFIX/share/games/endless-sky/sounds", "sounds")
env.Install("$DESTDIR$PREFIX/share/games/endless-sky", "credits.txt")
env.Install("$DESTDIR$PREFIX/share/games/endless-sky", "keys.txt")

# Make the word "install" in the command line do an installation.
env.Alias("install", "$DESTDIR$PREFIX")

=== debian/changelog ===
endless-sky (0.9.13-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 10 Jul 2021 13:44:15 -0700

## endless-sky 0.9.14

=== SConstruct ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# steamrt scons is v2.1.0
+# https://repo.steampowered.com/steamrt-images-scout/snapshots/latest-container-runtime-depot/com.valvesoftware.SteamRuntime.Sdk-amd64,i386-scout-sources.sources.txt
+# Documentation available at https://scons.org/doc/2.1.0/HTML/scons-user/a10706.html
 import os
 import platform
 from SCons.Node.FS import Dir
@@ -19,17 +22,10 @@
 	env.Append(LINKFLAGS = os.environ['LDFLAGS'])
 if 'AR' in os.environ:
 	env['AR'] = os.environ['AR']
-if 'RANLIB' in os.environ:
-	env['RANLIB'] = os.environ['RANLIB']
 if 'DIR_ESLIB' in os.environ:
 	path = os.environ['DIR_ESLIB']
 	env.Prepend(CPPPATH = [pathjoin(path, 'include')])
 	env.Append(LIBPATH = [pathjoin(path, 'lib')])
-
-# The Steam runtime has an out-of-date libstdc++, so link it in statically:
-chroot_name = os.environ.get('SCHROOT_CHROOT_NAME', '')
-if 'steamrt' in chroot_name:
-	env.Append(LINKFLAGS = ["-static-libstdc++"])
 
 # Don't spawn a console window by default on Windows builds.
 if is_windows_host:
@@ -60,10 +56,20 @@
 	flags += ["-pg"]
 	env.Append(LINKFLAGS = ["-pg"])
 env.Append(CCFLAGS = flags)
-# Omit emitting a symbol table when creating/updating static libraries, because Scons
-# will run ranlib. If we are using gcc-ranlib, assume support for thin archives as well.
-create_thin_archives = any(env.get(var, '').startswith('gcc') for var in ('AR', 'RANLIB'))
-env.Replace(ARFLAGS = 'rcST' if create_thin_archives else 'rcS')
+
+# Always use `ar` to create the symbol table, and don't use ranlib at all, since it fails to preserve
+# LTO information, even when passed the plugin path, when run in Steam's "Scout" runtime.
+env['RANLIBCOM'] = ''
+# TODO: can we derive thin archive support from the host system somehow? Or just always use it?
+create_thin_archives = env.get('AR', '').startswith('gcc')
+env.Replace(ARFLAGS = 'rcsT' if create_thin_archives else 'rcs')
+
+# The Steam runtime fails to correctly invoke the LTO plugin for gcc-5, so pass it explicitly
+chroot_name = os.environ.get('SCHROOT_CHROOT_NAME', '')
+if 'steamrt_scout' in chroot_name:
+	# MAYBE: read g++ version to determine correct path to the LTO plugin
+	plugin_path = '--plugin={}'.format(os.environ.get('LTO_PLUGIN_PATH', '/usr/lib/gcc/x86_64-linux-gnu/5/liblto_plugin.so'))
+	env.Append(ARFLAGS = [plugin_path])
 
 game_libs = [
 	"winmm",
@@ -107,7 +113,8 @@
 	matches = [RecursiveGlob(pattern, sub_dir) for sub_dir in Glob(pathjoin(str(dir_name), "*"))
 		if isinstance(sub_dir, Dir)]
 	# Add source files in this directory, except for main.cpp
-	matches += Glob(pathjoin(str(dir_name), pattern), exclude=["*/main.cpp"])
+	matches += Glob(pathjoin(str(dir_name), pattern))
+	matches = [i for i in matches if not "/main.cpp" in str(i)]
 	return matches
 
 # By default, invoking scons will build the backing archive file and then the game binary.
@@ -126,7 +133,7 @@
 VariantDir(testBuildDirectory, pathjoin("tests", "src"), duplicate = 0)
 test = env.Program(
 	target=pathjoin("tests", "endless-sky-tests"),
-	source=RecursiveGlob("test_*.cpp", testBuildDirectory) + sourceLib,
+	source=RecursiveGlob("*.cpp", testBuildDirectory) + sourceLib,
 	 # Add Catch header & additional test includes to the existing search paths
 	CPPPATH=(env.get('CPPPATH', []) + [pathjoin('tests', 'include')]),
 	# Do not link against the actual implementations of SDL, OpenGL, etc.

=== debian/changelog ===
endless-sky (0.9.14-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 18 Jul 2021 14:39:38 -0700

## endless-sky 0.9.16.1

=== SConstruct ===
--- 
+++ 
@@ -1,9 +1,7 @@
-# steamrt scons is v2.1.0
-# https://repo.steampowered.com/steamrt-images-scout/snapshots/latest-container-runtime-depot/com.valvesoftware.SteamRuntime.Sdk-amd64,i386-scout-sources.sources.txt
-# Documentation available at https://scons.org/doc/2.1.0/HTML/scons-user/a10706.html
 import os
 import platform
 from SCons.Node.FS import Dir
+from SCons.Errors import SConsEnvironmentError
 
 def pathjoin(*args):
 	return os.path.join(*args)
@@ -12,7 +10,12 @@
 # If we are compiling on Windows, then we need to change the toolset to MinGW.
 is_windows_host = platform.system().startswith('Windows')
 scons_toolset = ['mingw' if is_windows_host else 'default']
-env = DefaultEnvironment(tools = scons_toolset, ENV = os.environ)
+env = DefaultEnvironment(tools = scons_toolset, ENV = os.environ, COMPILATIONDB_USE_ABSPATH=True)
+# If manually building within the Steam Runtime (scout), SCons will need to be invoked directly
+# with `python3.5`. Most other runtimes / build hosts will default to a newer version of python.
+env.EnsurePythonVersion(3, 5)
+# Make sure the current SCons version is at least v3.1.0; newer versions are allowed.
+env.EnsureSConsVersion(3, 1, 0)
 
 if 'CXX' in os.environ:
 	env['CXX'] = os.environ['CXX']
@@ -34,6 +37,7 @@
 opts = Variables()
 opts.AddVariables(
 	EnumVariable("mode", "Compilation mode", "release", allowed_values=("release", "debug", "profile")),
+	EnumVariable("opengl", "Whether to use OpenGL or OpenGL ES", "desktop", allowed_values=("desktop", "gles")),
 	PathVariable("BUILDDIR", "Directory to store compiled object files in", "build", PathVariable.PathIsDirCreate),
 	PathVariable("BIN_DIR", "Directory to store binaries in", ".", PathVariable.PathIsDirCreate),
 	PathVariable("DESTDIR", "Destination root directory, e.g. if building a package", "", PathVariable.PathAccept),
@@ -46,9 +50,9 @@
 #   $ CXXFLAGS=-msse3 scons
 #   $ CXXFLAGS=-march=native scons
 # or modify the `flags` variable:
-flags = ["-std=c++11", "-Wall", "-Werror", "-Wold-style-cast"]
+flags = ["-std=c++11", "-Wall", "-Wold-style-cast", "-fno-rtti"]
 if env["mode"] != "debug":
-	flags += ["-O3", "-flto"]
+	flags += ["-Werror", "-O3", "-flto"]
 	env.Append(LINKFLAGS = ["-O3", "-flto"])
 if env["mode"] == "debug":
 	flags += ["-g"]
@@ -70,6 +74,14 @@
 	# MAYBE: read g++ version to determine correct path to the LTO plugin
 	plugin_path = '--plugin={}'.format(os.environ.get('LTO_PLUGIN_PATH', '/usr/lib/gcc/x86_64-linux-gnu/5/liblto_plugin.so'))
 	env.Append(ARFLAGS = [plugin_path])
+
+# Required system libraries, such as UUID generator runtimes.
+sys_libs = [
+	"rpcrt4",
+] if is_windows_host else [
+	"uuid"
+]
+env.Append(LIBS = sys_libs)
 
 game_libs = [
 	"winmm",
@@ -80,18 +92,33 @@
 	"turbojpeg.dll",
 	"jpeg.dll",
 	"openal32.dll",
-	"glew32.dll",
-	"opengl32",
 ] if is_windows_host else [
 	"SDL2",
 	"png",
 	"jpeg",
-	"GL",
-	"GLEW",
 	"openal",
 	"pthread",
 ]
 env.Append(LIBS = game_libs)
+
+if env["opengl"] == "gles":
+	if is_windows_host:
+		print("OpenGL ES builds are not supported on Windows")
+		Exit(1)
+	env.Append(LIBS = [
+		"GLESv2",
+	])
+	env.Append(CCFLAGS = ["-DES_GLES"])
+elif is_windows_host:
+	env.Append(LIBS = [
+		"glew32.dll",
+		"opengl32",
+	])
+else:
+	env.Append(LIBS = [
+		"GL",
+		"GLEW",
+	])
 
 # libmad is not in the Steam runtime, so link it statically:
 if 'steamrt_scout_i386' in chroot_name:
@@ -105,21 +132,28 @@
 binDirectory = '' if env["BIN_DIR"] == '.' else pathjoin(env["BIN_DIR"], env["mode"])
 buildDirectory = pathjoin(env["BUILDDIR"], env["mode"])
 libDirectory = pathjoin("lib", env["mode"])
-VariantDir(buildDirectory, "source", duplicate = 0)
+env.VariantDir(buildDirectory, "source", duplicate = 0)
 
 # Find all regular source files.
 def RecursiveGlob(pattern, dir_name=buildDirectory):
 	# Start with source files in subdirectories.
-	matches = [RecursiveGlob(pattern, sub_dir) for sub_dir in Glob(pathjoin(str(dir_name), "*"))
+	matches = [RecursiveGlob(pattern, sub_dir) for sub_dir in env.Glob(pathjoin(str(dir_name), "*"))
 		if isinstance(sub_dir, Dir)]
 	# Add source files in this directory, except for main.cpp
-	matches += Glob(pathjoin(str(dir_name), pattern))
-	matches = [i for i in matches if not "/main.cpp" in str(i)]
+	matches += env.Glob(pathjoin(str(dir_name), pattern))
+	matches = [i for i in matches if not '{}main.cpp'.format(os.path.sep) in str(i)]
 	return matches
+
+try:
+    env.Tool('compilation_db')
+    env.Default(env.CompilationDatabase())
+# scons before 4.0.0 is used. In that case, simply don't provide a compilation database.
+except SConsEnvironmentError:
+    pass
 
 # By default, invoking scons will build the backing archive file and then the game binary.
 sourceLib = env.StaticLibrary(pathjoin(libDirectory, "endless-sky"), RecursiveGlob("*.cpp", buildDirectory))
-exeObjs = [Glob(pathjoin(buildDirectory, f)) for f in ("main.cpp",)]
+exeObjs = [env.Glob(pathjoin(buildDirectory, f)) for f in ("main.cpp",)]
 if is_windows_host:
 	windows_icon = env.RES(pathjoin(buildDirectory, "WinApp.rc"))
 	exeObjs.append(windows_icon)
@@ -129,15 +163,15 @@
 
 # The testing infrastructure ignores "mode" specification (i.e. we only test optimized output).
 # (If we add support for code coverage output, this will likely need to change.)
-testBuildDirectory = pathjoin("tests", env["BUILDDIR"])
-VariantDir(testBuildDirectory, pathjoin("tests", "src"), duplicate = 0)
+testBuildDirectory = pathjoin("tests", "unit", env["BUILDDIR"])
+env.VariantDir(testBuildDirectory, pathjoin("tests", "unit", "src"), duplicate = 0)
 test = env.Program(
-	target=pathjoin("tests", "endless-sky-tests"),
+	target=pathjoin("tests", "unit", "endless-sky-tests"),
 	source=RecursiveGlob("*.cpp", testBuildDirectory) + sourceLib,
-	 # Add Catch header & additional test includes to the existing search paths
-	CPPPATH=(env.get('CPPPATH', []) + [pathjoin('tests', 'include')]),
+	# Add Catch header & additional test includes to the existing search paths.
+	CPPPATH=(env.get('CPPPATH', []) + [pathjoin('tests', 'unit', 'include')]),
 	# Do not link against the actual implementations of SDL, OpenGL, etc.
-	LIBS=[],
+	LIBS=sys_libs,
 	# Pass the necessary link flags for a console program.
 	LINKFLAGS=[x for x in env.get('LINKFLAGS', []) if x not in ('-mwindows',)]
 )
@@ -163,7 +197,7 @@
 env.Install("$DESTDIR$PREFIX/share/applications", "endless-sky.desktop")
 
 # Install app center metadata:
-env.Install("$DESTDIR$PREFIX/share/appdata", "endless-sky.appdata.xml")
+env.Install("$DESTDIR$PREFIX/share/metainfo", "io.github.endless_sky.endless_sky.appdata.xml")
 
 # Install icons, keeping track of all the paths.
 # Most Ubuntu apps supply 16, 22, 24, 32, 48, and 256, and sometimes others.

=== debian/changelog ===
endless-sky (0.9.16.1-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 31 May 2023 08:09:27 -0700

endless-sky (0.9.16.1-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 05 Nov 2022 20:55:48 -0700

endless-sky (0.9.16.1-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 05 Nov 2022 20:54:06 -0700

endless-sky (0.9.14-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 18 Jul 2021 14:41:04 -0700

endless-sky (0.9.13-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 10 Jul 2021 13:45:42 -0700
